# QPersistentModelIndex Class Reference

### [com.trolltech.qt.core package]

### Constructor

- void QPersistentModelIndex()
- void QPersistentModelIndex(QModelIndex index)
- void QPersistentModelIndex(QPersistentModelIndex other)

### Constructor Properties

- prototype: The QPersistentModelIndex prototype object

### Prototype Object Properties

- QModelIndex child(int row, int column)
- int column()
- Object data(int role)
- ItemFlags flags()
- qint64 internalId()
- bool isValid()
- QAbstractItemModel model()
- QModelIndex operator_cast_QModelIndex()
- bool operator_equal(QModelIndex other)
- bool operator_less(QPersistentModelIndex other)
- QModelIndex parent()
- int row()
- QModelIndex sibling(int row, int column)

### Instance Properties

QPersistentModelIndex objects have no special properties beyond those inherited from the QPersistentModelIndex prototype object.